void
maca_recv(iface,axp,src,dest,bp,mcast)
struct iface *iface;
struct ax25_cb *axp;
char *src;
char *dest;
struct mbuf *bp;
int mcast;
{
    int c;
    int32 dt;
  
    if(iface->ioctl == NULL)
        return bp;  /* No device ioctl - can't do anything */
  
    c = PULLCHAR(&bp);
    switch(c){
        case MACA_RTS:
            send_ax25(
        /* Mute long enough for the addressed station to send
         * a CTS. Since that's channel speed dependent, use a special
         * value to tell the driver to use the right value
         */
            (*iface->ioctl)(iface,PARAM_MUTE,1,-1);
            break;
        case MACA_CTS:  /* Inhibit transmitter for requested interval */
            dt = pull32(&bp);
            (*iface->ioctl)(iface,PARAM_MUTE,1,dt);
            break;
    }
    return bp;
}
